summaryrefslogtreecommitdiff
path: root/dev-ruby/git/git-1.11.0.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-19 09:41:08 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-19 09:41:08 +0000
commitfd9bdc49196fba03dd5e50e378aad2cf3ef42e31 (patch)
treeb7f9add53ca9302511e433237fe666e052456811 /dev-ruby/git/git-1.11.0.ebuild
parentd8d122d477cda9df7a78b02cab5da92a877c955b (diff)
downloadsrcux-fd9bdc49196fba03dd5e50e378aad2cf3ef42e31.tar.gz
srcux-fd9bdc49196fba03dd5e50e378aad2cf3ef42e31.tar.xz
srcux-fd9bdc49196fba03dd5e50e378aad2cf3ef42e31.zip
Adding metadata
Diffstat (limited to 'dev-ruby/git/git-1.11.0.ebuild')
-rw-r--r--dev-ruby/git/git-1.11.0.ebuild42
1 files changed, 42 insertions, 0 deletions
diff --git a/dev-ruby/git/git-1.11.0.ebuild b/dev-ruby/git/git-1.11.0.ebuild
new file mode 100644
index 000000000000..6029dfa5687c
--- /dev/null
+++ b/dev-ruby/git/git-1.11.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="git.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Library for using Git in Ruby"
+HOMEPAGE="https://github.com/schacon/ruby-git"
+SRC_URI="https://github.com/schacon/ruby-git/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+RUBY_S="ruby-git-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="test"
+
+DEPEND+="test? ( >=dev-vcs/git-1.6.0.0 app-arch/tar )"
+RDEPEND+=">=dev-vcs/git-1.6.0.0"
+
+ruby_add_rdepend ">=dev-ruby/rchardet-1.8:1"
+
+ruby_add_bdepend "test? ( dev-ruby/bundler dev-ruby/minitar dev-ruby/test-unit:2 )"
+
+all_ruby_prepare() {
+ # Don't use hardcoded /tmp directory.
+ sed -i -e "s:/tmp:${TMPDIR}:" tests/units/test_archive.rb tests/test_helper.rb || die
+
+ sed -i -e 's/__dir__/"."/' -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ git config --global user.email "git@example.com" || die
+ git config --global user.name "GitExample" || die
+ ${RUBY} -Ilib:.:test -e 'Dir["tests/**/test_*.rb"].each {|f| require f}' || die
+}